# CHANGELOG

### commit #b1b0b5f0
- added Eloquent ORM Model as DAO implementation
- modified Line Item definition to be a snapshot of product instead of a reference

### commit #9d8ef594
- add exception support to handle loose coupling
- reorganize entities to match architecture

### commit #c7ea1d44
- add hateoas implementation for convenience
- considering multiple implementations for Facades and repositories (tight vs loose coupled, query builder vs orm)

### commit #8607fe96
- Add mapper and repository

### commit #02bfba03
- Reorganize project
- setup correct structure
- add controllers and routes
- fix initial boot issues
